UI::GXML::Buffer Class Reference

Abstraction for libxml2's xmlBuffer. More...

`#include <Buffer.hpp>`

Inheritance diagram for UI::GXML::Buffer:
Collaboration diagram for UI::GXML::Buffer:

## Public Types

enum | ErrorCode { Mem_ }
| Error codes for exceptions.
typedef CodeException< ErrorCode > | Exception
| Exceptions for this class.

## Public Member Functions

void | concat (std::string const &text)
| Append text.
char const * | getBuf () const
| Get buffer content address.
int | getSize () const
| Get buffer content size.

## Detailed Description

Abstraction for libxml2's xmlBuffer.

The documentation for this class was generated from the following files:

- Buffer.hpp
- Buffer.cpp